<!-- prettier-ignore-start -->
# Class CustomerStatusCodes

- [TopLevel.Object](TopLevel.Object.md)
  - [dw.customer.CustomerStatusCodes](dw.customer.CustomerStatusCodes.md)

CustomerStatusCodes contains constants representing 
status codes that can be used with a Status object to 
indicate the success or failure of an operation.


**See Also:**
- [Status](dw.system.Status.md)


## Constant Summary

| Constant | Description |
| --- | --- |
| [CUSTOMER_ADDRESS_REFERENCED_BY_PRODUCT_LIST](#customer_address_referenced_by_product_list): [String](TopLevel.String.md) = "CUSTOMER_ADDRESS_REFERENCED_BY_PRODUCT_LIST" | Indicates that an error occurred when trying to perform   an operation on an address that is currently associated   with a product list. |

## Constructor Summary

| Constructor | Description |
| --- | --- |
| [CustomerStatusCodes](#customerstatuscodes)() |  |

## Method Summary

### Methods inherited from class Object

[assign](TopLevel.Object.md#assignobject-object), [create](TopLevel.Object.md#createobject), [create](TopLevel.Object.md#createobject-object), [defineProperties](TopLevel.Object.md#definepropertiesobject-object), [defineProperty](TopLevel.Object.md#definepropertyobject-object-object), [entries](TopLevel.Object.md#entriesobject), [freeze](TopLevel.Object.md#freezeobject), [fromEntries](TopLevel.Object.md#fromentriesiterable), [getOwnPropertyDescriptor](TopLevel.Object.md#getownpropertydescriptorobject-object), [getOwnPropertyNames](TopLevel.Object.md#getownpropertynamesobject), [getOwnPropertySymbols](TopLevel.Object.md#getownpropertysymbolsobject), [getPrototypeOf](TopLevel.Object.md#getprototypeofobject), [hasOwnProperty](TopLevel.Object.md#hasownpropertystring), [is](TopLevel.Object.md#isobject-object), [isExtensible](TopLevel.Object.md#isextensibleobject), [isFrozen](TopLevel.Object.md#isfrozenobject), [isPrototypeOf](TopLevel.Object.md#isprototypeofobject), [isSealed](TopLevel.Object.md#issealedobject), [keys](TopLevel.Object.md#keysobject), [preventExtensions](TopLevel.Object.md#preventextensionsobject), [propertyIsEnumerable](TopLevel.Object.md#propertyisenumerablestring), [seal](TopLevel.Object.md#sealobject), [setPrototypeOf](TopLevel.Object.md#setprototypeofobject-object), [toLocaleString](TopLevel.Object.md#tolocalestring), [toString](TopLevel.Object.md#tostring), [valueOf](TopLevel.Object.md#valueof), [values](TopLevel.Object.md#valuesobject)
## Constant Details

### CUSTOMER_ADDRESS_REFERENCED_BY_PRODUCT_LIST

- CUSTOMER_ADDRESS_REFERENCED_BY_PRODUCT_LIST: [String](TopLevel.String.md) = "CUSTOMER_ADDRESS_REFERENCED_BY_PRODUCT_LIST"
  - : Indicates that an error occurred when trying to perform 
      an operation on an address that is currently associated 
      with a product list.



---

## Constructor Details

### CustomerStatusCodes()
- CustomerStatusCodes()
  - : 


---

<!-- prettier-ignore-end -->
